Close the eval "require $module" security hole in Digest->new($algorithm)
authorMichael G. Schwern <schwern@pobox.com>
Mon, 3 Oct 2011 18:05:29 +0000 (19:05 +0100)
committerRicardo Signes <rjbs@cpan.org>
Thu, 9 Aug 2012 20:04:11 +0000 (16:04 -0400)
commitc4fc4d72d0bf574a2b7597f0a919aa614d47c6de
tree5f7a735e805c26dcda869599f3f50186f860d261
parent3f22bd654dbafc1220c5360d5e685b11d99a5404
Close the eval "require $module" security hole in Digest->new($algorithm)

Also the filter was incomplete.

Bug-Debian: http://bugs.debian.org/644108
MANIFEST
cpan/Digest/Digest.pm
cpan/Digest/t/security.t [new file with mode: 0644]